Bug 34091 - [build] publication name is hardcoded in usecases.xconf
Summary: [build] publication name is hardcoded in usecases.xconf
Status: RESOLVED FIXED
Alias: None
Product: Lenya
Classification: Unclassified
Component: Build System (show other bugs)
Version: unspecified
Hardware: Other other
: P2 normal
Target Milestone: 1.4
Assignee: Lenya Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-20 23:33 UTC by Gregor J. Rothfuss
Modified: 2005-03-30 05:00 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor J. Rothfuss 2005-03-20 23:33:07 UTC
<xconf xpath="/cocoon/usecases"
unless="/cocoon/usecases/component-instance[@name = 'default/workflow.submit']">

becomes a problem for people who want to create their own publications based on
the default publication. this should be substituted with the publication name
either at build time or during the 'create a new publication' usecase.
Comment 1 Andreas Hartmann 2005-03-21 09:26:43 UTC
I'd rather enable publication templating in the usecase resolver. This way, the
usecase handlers will be resolved correctly in derived publications.
Comment 2 Andreas Hartmann 2005-03-30 14:00:49 UTC
> I'd rather enable publication templating in the usecase resolver.

Done.